public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Patrick McLean" <chutzpah@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/intreehooks/
Date: Sat,  7 Dec 2019 21:55:36 +0000 (UTC)	[thread overview]
Message-ID: <1575755729.2edb3dcb57a562191f7e9f79d09bdea3b6d18e9c.chutzpah@gentoo> (raw)

commit:     2edb3dcb57a562191f7e9f79d09bdea3b6d18e9c
Author:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
AuthorDate: Sat Dec  7 20:06:09 2019 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Sat Dec  7 21:55:29 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2edb3dcb

dev-python/intreehooks: New package

Package-Manager: Portage-2.3.81, Repoman-2.3.20
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 dev-python/intreehooks/Manifest               |  1 +
 dev-python/intreehooks/intreehooks-1.0.ebuild | 40 +++++++++++++++++++++++++++
 dev-python/intreehooks/metadata.xml           | 12 ++++++++
 3 files changed, 53 insertions(+)

diff --git a/dev-python/intreehooks/Manifest b/dev-python/intreehooks/Manifest
new file mode 100644
index 00000000000..cde19e0d648
--- /dev/null
+++ b/dev-python/intreehooks/Manifest
@@ -0,0 +1 @@
+DIST intreehooks-1.0.tar.gz 2701 BLAKE2B 2c82bae05cf3fc3bde13e8dd2ffb9d1ef79edc6711b5038f6f9b3dddd863492be24a425bf848c9868ecf730f813243fb5fa50ebfad52b44341be18e72727f195 SHA512 5a020dd6bd7994eca5f476618f57e2d86567756fae74f6fa50b6fbc96accfe8db910f3175bafa3ce85f37b05edc05ca1042dcec78407a241cfaffc0a0e997f4e

diff --git a/dev-python/intreehooks/intreehooks-1.0.ebuild b/dev-python/intreehooks/intreehooks-1.0.ebuild
new file mode 100644
index 00000000000..a2471a84947
--- /dev/null
+++ b/dev-python/intreehooks/intreehooks-1.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7,8} pypy{,3} )
+inherit distutils-r1
+
+DESCRIPTION="Load a PEP 517 backend from inside the source tree"
+HOMEPAGE="https://pypi.org/project/intreehooks https://github.com/takluyver/intreehooks"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples"
+
+RDEPEND="
+	dev-python/toml[${PYTHON_USEDEP}]
+"
+BDEPEND="${RDEPEND}
+	dev-python/setuptools[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+	# replace pytoml with toml
+	sed -e 's:pytoml:toml:' \
+		-i setup.py intreehooks.py || die
+
+	distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+	local -a DOCS=( README.rst )
+	use examples && dodoc -r examples
+
+	distutils-r1_python_install_all
+}

diff --git a/dev-python/intreehooks/metadata.xml b/dev-python/intreehooks/metadata.xml
new file mode 100644
index 00000000000..34d6356499c
--- /dev/null
+++ b/dev-python/intreehooks/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+  <maintainer type="person">
+    <email>chutzpah@gentoo.org</email>
+    <name>Patrick McLean</name>
+  </maintainer>
+  <upstream>
+    <remote-id type="pypi">intreehooks</remote-id>
+    <remote-id type="github">takluyver/intreehooks</remote-id>
+  </upstream>
+</pkgmetadata>


             reply	other threads:[~2019-12-07 21:55 UTC|newest]

Thread overview: 18+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-12-07 21:55 Patrick McLean [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-01-30 21:26 [gentoo-commits] repo/gentoo:master commit in: dev-python/intreehooks/ Michał Górny
2021-03-22  7:36 Michał Górny
2021-03-22  7:36 Michał Górny
2021-03-22  7:36 Michał Górny
2021-05-24 19:42 Patrick McLean
2021-09-24 22:48 Sam James
2021-10-09 20:19 Sam James
2021-10-10  0:09 Sam James
2021-10-10  2:20 Sam James
2021-10-10 20:43 Sam James
2021-10-24  0:19 Sam James
2021-10-24  2:27 Sam James
2021-10-24  4:51 Sam James
2021-11-15 16:29 Agostino Sarubbo
2021-11-18 10:50 Sam James
2021-11-19  7:59 Arthur Zamarin
2021-11-19 11:39 Arthur Zamarin

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1575755729.2edb3dcb57a562191f7e9f79d09bdea3b6d18e9c.chutzpah@gentoo \
    --to=chutzpah@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox